Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# DistributedNode Class Reference

Inheritance diagram for DistributedNode:

List of all members.

## Public Member Functions
def | __init__
def | __cmp__
def | b_setParent
| setParent ###
def | d_setH
def | d_setHpr
def | d_setP
def | d_setParent
def | d_setPos
def | d_setPosHpr
def | d_setR
def | d_setX
| set pos and hpr functions #######
def | d_setXY
def | d_setXYH
def | d_setXYZH
def | d_setXZ
def | d_setY
def | d_setZ
def | delete
def | disable
def | do_setParent
def | generate
def | setLocation
def | setParent
def | setParentStr
def | setXY
def | setXYH
def | setXYZH
def | setXZ
## Public Attributes
| DistributedNode_deleted
| DistributedNode_initialized
| gotStringParentToken
| gridParent

## Detailed Description

    Distributed Node class:

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | cr
| ) |  |

Reimplemented from DistributedObject.

Reimplemented in DistributedSmoothNode.

## Member Function Documentation

def __cmp__ | ( |  | self,
|  |  | other
| ) |  |

def b_setParent | ( |  | self,
|  |  | parentToken
| ) |  |

setParent ###

def d_setH | ( |  | self,
|  |  | h
| ) |  |

def d_setHpr | ( |  | self,
|  |  | h,
|  |  | p,
|  |  | r
| ) |  |

def d_setP | ( |  | self,
|  |  | p
| ) |  |

def d_setParent | ( |  | self,
|  |  | parentToken
| ) |  |

Reimplemented in DistributedSmoothNode.

def d_setPos | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z
| ) |  |

def d_setPosHpr | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | p,
|  |  | r
| ) |  |

def d_setR | ( |  | self,
|  |  | r
| ) |  |

def d_setX | ( |  | self,
|  |  | x
| ) |  |

set pos and hpr functions #######

def d_setXY | ( |  | self,
|  |  | x,
|  |  | y
| ) |  |

def d_setXYH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | h
| ) |  |

def d_setXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h
| ) |  |

def d_setXZ | ( |  | self,
|  |  | x,
|  |  | z
| ) |  |

def d_setY | ( |  | self,
|  |  | y
| ) |  |

def d_setZ | ( |  | self,
|  |  | z
| ) |  |

def delete | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on delete

Reimplemented from DistributedObject.

Reimplemented in DistributedSmoothNode.

def disable | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on disable

Reimplemented from DistributedObject.

Reimplemented in DistributedSmoothNode.

def do_setParent | ( |  | self,
|  |  | parentToken
| ) |  |

    do_setParent(self, int parentToken)

    This function is defined simply to allow a derived class (like
    DistributedAvatar) to override the behavior of setParent if
    desired.

def generate | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on generate

Reimplemented from DistributedObject.

Reimplemented in DistributedSmoothNode.

def setLocation | ( |  | self,
|  |  | parentId,
|  |  | zoneId,
|  |  | teleport = `0`
| ) |  |

def setParent | ( |  | self,
|  |  | parentToken
| ) |  |

def setParentStr | ( |  | self,
|  |  | parentTokenStr
| ) |  |

def setXY | ( |  | self,
|  |  | x,
|  |  | y
| ) |  |

def setXYH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | h
| ) |  |

def setXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h
| ) |  |

def setXZ | ( |  | self,
|  |  | x,
|  |  | z
| ) |  |

## Member Data Documentation

DistributedNode_deleted

DistributedNode_initialized

gotStringParentToken

gridParent

All Classes Namespaces Functions Variables Enumerations Enumerator Properties